//+------------------------------------------------------------------+
//|                                                     Project4.mq4 |
//|                           Copyright 2023,MQL4club Software Corp. |
//|                                       https://www.t.me/mql4club/ |
//+------------------------------------------------------------------+
#property copyright "Copyright 2023,MQL4club Software Corp."
#property link      "https://www.t.me/mql4club/"
#property version   "1.00"
#property strict

#include <Controls/Dialog.mqh>
#include <Controls/Label.mqh>
#include <Controls/ListView.mqh>
#include <Controls/ComboBox.mqh>
#resource "//Include//Controls//res//DownDisable.bmp"
#resource "//Include//Controls//res//UpDisable.bmp"

CAppDialog Interface;

CLabel Label1,Label2,Label3;
CBmpButton Bmp1;
CListView ListView;
CComboBox ComboBox;
CWndClient Wnd1,Wnd2;
//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
//---
   Interface.Create(0,"Interface",0,30,30,400,300);
   
   Bmp1.Create(0,"Bmp1",0,0,0,0,0);
   Bmp1.BmpNames("::Include//Controls//res//DownDisable.bmp","::Include//Controls//res//UpDisable.bmp");
   Interface.Add(Bmp1);
   Bmp1.Shift(308,-20);
   
   
   
   Label1.Create(0,"Label1",0,0,0,0,0);
   Label1.Text(_Symbol);
   Label1.Color(clrRed);
   Label1.FontSize(14);
   
   Label2.Create(0,"Label2",0,10,5,0,0);
   Label2.Text("Symbol : ");
   
   
   Wnd1.Create(0,"Wnd1",0,30,110,150,210);
   Wnd2.Create(0,"Wnd2",0,160,10,360,150);
   Wnd1.ColorBackground(clrPink);
   Wnd2.ColorBackground(clrYellow);
   Wnd1.ColorBorder(clrRed);
   Wnd2.ColorBorder(clrRed);
   Wnd1.BorderType(BORDER_RAISED);
   Wnd2.BorderType(BORDER_RAISED);
   Interface.Add(Wnd1);
   Interface.Add(Wnd2);
   ComboBox.Create(0,"ComboBox",0,80,5,140,30);
   
   Label3.Create(0,"Label3",0,10,5,0,0);
   Label3.Text("Symbol : ");
   
   ComboBox.AddItem("EURUSD");
   ComboBox.AddItem("GBPUSD");
   ComboBox.AddItem("USDJPY");
   ComboBox.AddItem("USDCAD");
   ComboBox.AddItem("XAUUSD");
   ComboBox.SelectByText(_Symbol);
   //Interface.Add(ComboBox);
   
   Wnd2.Add(Label3);
   Wnd2.Add(ComboBox);
   
   ListView.TotalView(5);
   ListView.Create(0,"ListView",0,70,5,150,0);
   ListView.AddItem("EURUSD");
   ListView.AddItem("GBPUSD");
   ListView.AddItem("USDJPY");
   ListView.AddItem("USDCAD");
   ListView.AddItem("XAUUSD");
   
   Interface.Add(ListView);
   Interface.Caption("Caption");
   Interface.Add(Label1);
   Interface.Add(Label2);
   //Interface.Add(Label3);
   Label1.Shift(70,-25);
   
   Interface.Run();
//---
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
//---
   Interface.Destroy(reason);
  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
//---
   
  }
//+------------------------------------------------------------------+
//| ChartEvent function                                              |
//+------------------------------------------------------------------+
void OnChartEvent(const int id,
                  const long &lparam,
                  const double &dparam,
                  const string &sparam)
  {
//---
   Interface.OnEvent(id,lparam,dparam,sparam);
   

   
   
   if(id == CHARTEVENT_OBJECT_CLICK && sparam == "Label1")
   {
      Print("Click On Label");
   }
   
   if(id== CHARTEVENT_OBJECT_CLICK && sparam == "Bmp1")
   {
      if(Bmp1.Pressed())
      {
         Interface.Height(25);
      }
      else
      {
         Interface.Height(270);
      }
   }
   
   if(id == CHARTEVENT_OBJECT_CLICK && (sparam == "RadioGroup1Item0Button" || sparam == "RadioGroup1Item0Label"))
   {
      ChartSetInteger(0,CHART_COLOR_CANDLE_BULL,clrBlue);
   }
   if(id == CHARTEVENT_OBJECT_CLICK && (sparam == "RadioGroup1Item1Button" || sparam == "RadioGroup1Item1Label"))
   {
      ChartSetInteger(0,CHART_COLOR_CANDLE_BULL,clrYellow);
   }
   if(id == CHARTEVENT_OBJECT_CLICK && (sparam == "RadioGroup1Item2Button" || sparam == "RadioGroup1Item2Label"))
   {
      ChartSetInteger(0,CHART_COLOR_CANDLE_BULL,clrOrange);
   }
   if(id == CHARTEVENT_OBJECT_CLICK && (sparam == "RadioGroup1Item3Button" || sparam == "RadioGroup1Item3Label"))
   {
      ChartSetInteger(0,CHART_COLOR_CANDLE_BULL,clrRed);
   }
   
   if(id == CHARTEVENT_OBJECT_CLICK && sparam == "ListViewItem0")
   {
      ChartSetSymbolPeriod(0,"EURUSD",PERIOD_CURRENT);
   }
   if(id == CHARTEVENT_OBJECT_CLICK && sparam == "ListViewItem1")
   {
      ChartSetSymbolPeriod(0,"GBPUSD",PERIOD_CURRENT);
   }
   if(id == CHARTEVENT_OBJECT_CLICK && sparam == "ListViewItem2")
   {
      ChartSetSymbolPeriod(0,"USDJPY",PERIOD_CURRENT);
   }
   if(id == CHARTEVENT_OBJECT_CLICK && sparam == "ListViewItem3")
   {
      ChartSetSymbolPeriod(0,"USDCAD",PERIOD_CURRENT);
   }
   if(id == CHARTEVENT_OBJECT_CLICK && sparam == "ListViewItem4")
   {
      ChartSetSymbolPeriod(0,"XAUUSD",PERIOD_CURRENT);
   }
   
   if(id == CHARTEVENT_OBJECT_CLICK && sparam == "ComboBoxListItem0")
   {
      ChartSetSymbolPeriod(0,"EURUSD",PERIOD_CURRENT);
   }
   if(id == CHARTEVENT_OBJECT_CLICK && sparam == "ComboBoxListItem1")
   {
      ChartSetSymbolPeriod(0,"GBPUSD",PERIOD_CURRENT);
   }
   if(id == CHARTEVENT_OBJECT_CLICK && sparam == "ComboBoxListItem2")
   {
      ChartSetSymbolPeriod(0,"USDJPY",PERIOD_CURRENT);
   }
   if(id == CHARTEVENT_OBJECT_CLICK && sparam == "ComboBoxListItem3")
   {
      ChartSetSymbolPeriod(0,"USDCAD",PERIOD_CURRENT);
   }
   if(id == CHARTEVENT_OBJECT_CLICK && sparam == "ComboBoxListItem4")
   {
      ChartSetSymbolPeriod(0,"XAUUSD",PERIOD_CURRENT);
   }
//   string symbol ;
//   if(id == CHARTEVENT_OBJECT_CLICK)
//      symbol = ObjectGetString(0,sparam,OBJPROP_TEXT);
//   
//   if(id == CHARTEVENT_OBJECT_CLICK && symbol == "EURUSD")
//   {
//      ChartSetSymbolPeriod(0,"EURUSD",PERIOD_CURRENT);
//   }
//   if(id == CHARTEVENT_OBJECT_CLICK && symbol == "GBPUSD")
//   {
//      ChartSetSymbolPeriod(0,"GBPUSD",PERIOD_CURRENT);
//   }
//   if(id == CHARTEVENT_OBJECT_CLICK && symbol == "USDJPY")
//   {
//      ChartSetSymbolPeriod(0,"USDJPY",PERIOD_CURRENT);
//   }
//   if(id == CHARTEVENT_OBJECT_CLICK && symbol == "USDCAD")
//   {
//      ChartSetSymbolPeriod(0,"USDCAD",PERIOD_CURRENT);
//   }
//   if(id == CHARTEVENT_OBJECT_CLICK && symbol == "XAUUSD")
//   {
//      ChartSetSymbolPeriod(0,"XAUUSD",PERIOD_CURRENT);
//   }
  }
//+------------------------------------------------------------------+
